VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::Source::Info Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::Source::Info:

## Avaliable Methods
public method | set_address ()
public method | get_description ()
public method | set_filepath ()
public method | get_filepath ()
public method | set_type ()
public method | set_description ()
public method | get_address ()
public method | get_type ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::Source::Info` class contains the metadata source information.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::Source::Info::get_address | ( |  | ) |

Gets the value of 'address' property.

Return values

  address | - The current value of the field. Connection information for the remote server. This must be in the format http(s)://IP:port/namespace.

The remote server must support the interfaces in the :mod:`com.vmware.vapi.metadata.metamodel` package . It must expose metamodel information of one or more components.

optional#

Code:
click to view
# Number of lines of code in get_address: 4
sub get_address {
my ($self, %args) = @_;
return $self->{'address'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Source::Info::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. English language human readable description of the source. String#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Source::Info::get_filepath | ( |  | ) |

Gets the value of 'filepath' property.

Return values

  filepath | - The current value of the field. Absolute file path of the metamodel metadata file that has the metamodel information about one component element. The `filePath` is the path to the file in the server's filesystem. optional#

Code:
click to view
# Number of lines of code in get_filepath: 4
sub get_filepath {
my ($self, %args) = @_;
return $self->{'filepath'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Source::Info::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type of the metadata source. SourceType#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Source::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::Source::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 30
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'FILE' => ['filepath'],
'REMOTE' => ['address'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{description} = $args{'description'};
$self->{type} = $args{'type'};
$self->{filepath} = $args{'filepath'};
$self->{address} = $args{'address'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::Source::Info');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.source.info');
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata', 'type_name' => 'SourceType'));
$self->set_binding_field('key' => 'filepath', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'address', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::URIType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Source::Info::set_address | ( |  | ) |

Sets the given value for 'address' property.

Parameters

  address | - New value for the field. Connection information for the remote server. This must be in the format http(s)://IP:port/namespace.

The remote server must support the interfaces in the :mod:`com.vmware.vapi.metadata.metamodel` package . It must expose metamodel information of one or more components.

Code:
click to view
# Number of lines of code in set_address: 5
sub set_address {
my ($self, %args) = @_;
$self->{'address'} = $args{'address'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Source::Info::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. English language human readable description of the source.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Source::Info::set_filepath | ( |  | ) |

Sets the given value for 'filepath' property.

Parameters

  filepath | - New value for the field. Absolute file path of the metamodel metadata file that has the metamodel information about one component element. The `filePath` is the path to the file in the server's filesystem.

Code:
click to view
# Number of lines of code in set_filepath: 5
sub set_filepath {
my ($self, %args) = @_;
$self->{'filepath'} = $args{'filepath'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Source::Info::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type of the metadata source.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/Source.pm